--------------------------------------------------------------------------------------------
-- server.lua - Demonstrates a very simple server
--------------------------------------------------------------------------------------------
require ("configure_me");  --Include the file 'configure_me.lua'
require ("library");       --Include the file 'library.lua'

--Server main loop
while (1) do
   Sleep (200); --Don't use too much computing power
   MessagePump();

   --Check for 100 different tickets:
   for c=0,99 do
      local ticketfullfilename = ticket_path.."ticket"..string.format("%02i", c)..".txt";

      --Do we have a ticket file for that number?
      if (DoesFileExist (ticketfullfilename)) then
         INPUT = io.open(ticketfullfilename, "rb")
         inputfile = chomp(INPUT:read("*line"))

         --Check the input file:
         if (DoesFileExist(input_path..inputfile)) then
            --Create a new project and import the imput file:
            NewProject();
            projectImport(input_path..inputfile);

            projectSearchChecksums();

            ChecksumName = "No checksum found";
            if (projectStatChecksums()>-1) then
               ChecksumName = projectGetChecksumName(eChecksumNumber).." - "..projectGetChecksumName().." (Version "..projectGetChecksumName(eChecksumVersion)..")";
            end

            OUTPUT = io.open (ticketfullfilename..".output", "w")
            OUTPUT:write (ChecksumName);
            OUTPUT:close();

            projectClose(TRUE);

            --Remove the uploaded:
            os.remove (input_path..inputfile);
         else
            OUTPUT = io.open (ticketfullfilename..".output", "w")
            OUTPUT:write ("internal error: file not found: "..inputfile);
            OUTPUT:close();
         end

         INPUT:close();

         --Remove the ticket file:
         os.remove (ticketfullfilename);
      end
   end

   --Check for quit ticket:
   if (DoesFileExist (ticket_path.."quit_ticket.txt")) then
      os.remove (ticket_path.."quit_ticket.txt");
      Quit(); --End the server
   end
end